Skip to Content
My App
Api

Deal

Manage sales-pipeline deals — create, list, update and move deals between stages.

GET
/deals

Authorization

http
headerAuthorizationBearer <token>

Response Body

application/json
  1. response
Example Request
curl -X GET 'https://aexrux.com/api/v1/deals'
Example Response200
{}
POST
/deals

Authorization

http
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
title*string
Lengthlength <= 191
pipeline_id?integer|null
stage_id?integer|null
value?|
Range0 <= value <= 99999999
currency?|
Lengthlength <= 10
contact_id?integer|null
owner_user_id?integer|null
expected_close_date?|
Formatdate-time

Response Body

application/json
  1. response
Example Request
curl -X POST 'https://aexrux.com/api/v1/deals' \  -H 'Content-Type: application/json' \  -d '{  "title": "string"}'
Example Response
{}

GET /api/v1/deals/{id}

GET
/deals/{id}

Authorization

http
headerAuthorizationBearer <token>

Path Parameters

id*integer

Response Body

application/json
  1. response
Example Request
curl -X GET 'https://aexrux.com/api/v1/deals/0'
Example Response200
{}
DELETE
/deals/{id}

Authorization

http
headerAuthorizationBearer <token>

Path Parameters

id*integer

Response Body

application/json
  1. response
Example Request
curl -X DELETE 'https://aexrux.com/api/v1/deals/0'
Example Response200
{}
PUT
/deals/{id}

Authorization

http
headerAuthorizationBearer <token>

Path Parameters

id*integer

Request Body

application/json
  1. body
title?string
Lengthlength <= 191
value?|
Range0 <= value <= 99999999
currency?|
Lengthlength <= 10
stage_id?integer|null
contact_id?integer|null
owner_user_id?integer|null
expected_close_date?|
Formatdate-time
lost_reason?|
Lengthlength <= 191

Response Body

application/json
  1. response
Example Request
curl -X PUT 'https://aexrux.com/api/v1/deals/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{}
Example Request
curl -X GET 'https://aexrux.com/api/v1/pipelines'
Example Response200
{}
Example Request
curl -X GET 'https://aexrux.com/api/v1/leads'
Example Response200
{}